## EvDocumentLinks

EvDocumentLinks

## Functions

gboolean | ev_document_links_has_document_links ()
GtkTreeModel * | ev_document_links_get_links_model ()
EvMappingList * | ev_document_links_get_links ()
EvLinkDest * | ev_document_links_find_link_dest ()
gint | ev_document_links_get_dest_page ()
gchar * | ev_document_links_get_dest_page_label ()
gint | ev_document_links_find_link_page ()
gint | ev_document_links_get_link_page ()
gchar * | ev_document_links_get_link_page_label ()

## Types and Values

| EvDocumentLinks
struct | EvDocumentLinksInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentLinks

## Description

## Functions

### ev_document_links_has_document_links ()

    gboolean
    ev_document_links_has_document_links (EvDocumentLinks *document_links);

#### Returns

### ev_document_links_get_links_model ()

    GtkTreeModel *
    ev_document_links_get_links_model (EvDocumentLinks *document_links);

#### Parameters

document_links | an EvDocumentLinks |

#### Returns

a GtkTreeModel.

[transfer full]

### ev_document_links_get_links ()

    EvMappingList *
    ev_document_links_get_links (EvDocumentLinks *document_links,
                                 EvPage *page);

#### Returns

### ev_document_links_find_link_dest ()

    EvLinkDest *
    ev_document_links_find_link_dest (EvDocumentLinks *document_links,
                                      const gchar *link_name);

#### Parameters

document_links | an EvDocumentLinks |
link_name | the link name |

#### Returns

an EvLinkDest.

[transfer full]

### ev_document_links_get_dest_page ()

    gint
    ev_document_links_get_dest_page (EvDocumentLinks *document_links,
                                     EvLinkDest *dest);

### ev_document_links_get_dest_page_label ()

    gchar *
    ev_document_links_get_dest_page_label (EvDocumentLinks *document_links,
                                           EvLinkDest *dest);

### ev_document_links_find_link_page ()

    gint
    ev_document_links_find_link_page (EvDocumentLinks *document_links,
                                      const gchar *link_name);

### ev_document_links_get_link_page ()

    gint
    ev_document_links_get_link_page (EvDocumentLinks *document_links,
                                     EvLink *link);

### ev_document_links_get_link_page_label ()

    gchar *
    ev_document_links_get_link_page_label (EvDocumentLinks *document_links,
                                           EvLink *link);

## Types and Values

### EvDocumentLinks

    typedef struct _EvDocumentLinks EvDocumentLinks;

### struct EvDocumentLinksInterface

    struct EvDocumentLinksInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean       (* has_document_links) (EvDocumentLinks *document_links);
    	GtkTreeModel  *(* get_links_model)    (EvDocumentLinks *document_links);
    	EvMappingList *(* get_links)          (EvDocumentLinks *document_links,
    					       EvPage          *page);
    	EvLinkDest    *(* find_link_dest)     (EvDocumentLinks *document_links,
    					       const gchar     *link_name);
    	gint           (* find_link_page)     (EvDocumentLinks *document_links,
    					       const gchar     *link_name);
    };